summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2024-02-08 09:59:13 +0000
committerV3n3RiX <venerix@koprulu.sector>2024-02-08 09:59:13 +0000
commit31a02d889028bf30f7b376b935aa05c2140d3c66 (patch)
tree6b211d58d5072baba31037fda71f6f421c38e5c8 /dev-python
parent8f53b8011f9c960a02775a71c3805e13e72237fd (diff)
gentoo auto-resync : 08:02:2024 - 09:59:13
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-23.1.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Manifest.gzbin269334 -> 269328 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.34.37.ebuild58
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.34.37.ebuild63
-rw-r--r--dev-python/dogpile-cache/Manifest2
-rw-r--r--dev-python/dogpile-cache/dogpile-cache-1.3.1.ebuild36
-rw-r--r--dev-python/ipykernel/Manifest2
-rw-r--r--dev-python/ipykernel/ipykernel-6.29.2.ebuild78
-rw-r--r--dev-python/jaraco-classes/Manifest2
-rw-r--r--dev-python/jaraco-classes/jaraco-classes-3.3.1.ebuild27
-rw-r--r--dev-python/jwcrypto/Manifest2
-rw-r--r--dev-python/jwcrypto/jwcrypto-1.5.3.ebuild37
-rw-r--r--dev-python/markupsafe/Manifest2
-rw-r--r--dev-python/markupsafe/markupsafe-2.1.3.ebuild25
-rw-r--r--dev-python/nbconvert/Manifest2
-rw-r--r--dev-python/nbconvert/nbconvert-7.16.0.ebuild74
-rw-r--r--dev-python/pytest-qt/Manifest2
-rw-r--r--dev-python/pytest-qt/pytest-qt-4.4.0.ebuild78
-rw-r--r--dev-python/ruamel-yaml/Manifest2
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild53
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.40.2.ebuild151
-rw-r--r--dev-python/sip/Manifest2
-rw-r--r--dev-python/sip/sip-6.8.2.ebuild2
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest2
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.0.0.ebuild39
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-21.0.1.ebuild121
31 files changed, 883 insertions, 29 deletions
diff --git a/dev-python/Faker/Faker-23.1.0.ebuild b/dev-python/Faker/Faker-23.1.0.ebuild
new file mode 100644
index 000000000000..4a85c701f3c8
--- /dev/null
+++ b/dev-python/Faker/Faker-23.1.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 855719fcef9f..649e7f94e804 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -3,9 +3,11 @@ DIST Faker-22.5.1.tar.gz 1703337 BLAKE2B 603b06512deb04c6e320904aa32b7e210ecbe27
DIST Faker-22.6.0.tar.gz 1703974 BLAKE2B b6deb022fd38f52baf9a76e697451ca4ba175e530c3c232d09722f1f809de779d7885b92d1b87be64d9b87da2a7bda80af6cb5968faa55c60547156a5a7c63b7 SHA512 100db2723e4e6961ea239bd1c083cc8ed90cec2af3a8fb82c77df4cd2faec10b51f6cc5ff502e3afaf4d53142f6eaf04b1c6bd955ae8173e5c2f7b19bb7cf561
DIST Faker-22.7.0.tar.gz 1705221 BLAKE2B 9c41a053de75ca238399140531e7d37148ffa358f3ead37cc1aeb32bab74f096689bdcd160372419aed3a541f1aa367e891735e68d384e1c559634e2630e9659 SHA512 38cf655acf23568f0e1b275475461a9272e500c60330d7fc6a0b0db2977d4ea5762bf07cbc24ebe30fcb771cd90579611addce513b80166dbe70554b297c2109
DIST Faker-23.0.0.tar.gz 1705271 BLAKE2B 0c83bf26ef1005a00c132e4634a617aef659cfb0ce59d67dd0d63d80371ab58b963417c5e26c5d8ef945bbb1a57db408424f0360327035844654e90338d49eff SHA512 f385c839d3d6cd5103e7a5e92dfda0581e1cd2e5e9270c678524ccaa7b97ddfc666423c2ae02605ed1d2c1c2a04dbda482323e40fb3c9854bf48b3208793f8d6
+DIST Faker-23.1.0.tar.gz 1708228 BLAKE2B c72883e054b9e5e9f77de76ce354b7518038c055c6c034e091cbf89246a192c26896e427a9dd48981327498c8fcf63cd1b87b7e25647ce84606d4ba1bedfae51 SHA512 84fbf69d3911f21f98cd14926aad12c1da5be083c0820332bbd1212a995b7995960d7635b54f74b6ee125cfa8e81b991026647c46fa9035f6506bb8a853f4908
EBUILD Faker-22.4.0.ebuild 858 BLAKE2B 2e7693b63d3810eadf6c63951eec2c96385940ba69e88ad8ee14cf28f14beb0a0bbe5edeaaabe694832506a24e7e4648ac9fc8469d7ba0f38d9b6c687b69a736 SHA512 c3540187d7ca070be4942be3e2718a980ba85c588409b419d90b9987efc5a2f26f8362ba7350c6df1d28865496dc1256b752d8a44157eb2e6ac78bfcf54a33a0
EBUILD Faker-22.5.1.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
EBUILD Faker-22.6.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
EBUILD Faker-22.7.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
EBUILD Faker-23.0.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
+EBUILD Faker-23.1.0.ebuild 865 BLAKE2B 003402d2706fd0c094a71b72288598b8fb9b953ba6e3883b5812630102fc0cf063cea84f829518e1e6041c9dd21b3d39b7139ba0d7ba720c48d27fb6e82671a6 SHA512 052f8d09869485c1317fcdb808f3499c322be28e9e851c844b8db8fd740743bb8e3afc965a83bc664e07aea9f70ce24304ffa99252cb1a3a7d0b8eaa59e1b61c
MISC metadata.xml 498 BLAKE2B c9b7885dc7d34f2263068624a6b07ac6f1ec8078cc11abb6137612ba57edffefc48dae2708284aa83ecc941ebb2d3b8a87a143648e404a0683e75bb6c078f4e2 SHA512 0b385bbbfbb026803526e43c6c43965ff75f42d3ab133603708b187686aac29de508856e5e8ae7622a66b99032efa97f95c21625e10d074c858d8aff7446a312
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index a22de8134109..a9da46c745f1 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 86f89cac58fc..60db38de8fa3 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -3,9 +3,11 @@ DIST boto3-1.34.29.gh.tar.gz 769654 BLAKE2B 3eec92f78f343c1806eb7ad96a31b07592ff
DIST boto3-1.34.34.gh.tar.gz 771553 BLAKE2B 52459e1baefd7986256bb6c89074aac365fb14c8fdd1b04a79bc02b6722e1e8e5f0d59b426e519947ab1795d12defbde2768af97dd3a2cdef576fdb535422567 SHA512 d0d9c47550aeb46aa3095d08583931d79fe38da8498a3ece322d7dea07b25c3569f7b44ed2afdb53cae98e4e3c337e8bb91a87c325d88798488e6ba87c73d9cb
DIST boto3-1.34.35.gh.tar.gz 771771 BLAKE2B 2126de54d6d7fe94bab546d1f4be4b99f6ecf3b5033e4a9e3c514482c6b954a83992a904d84b3da17ffcb6ee62a147b40669b7264f7d278c81ec35259bdc1326 SHA512 a9e6586144f14b5602bf5ab37de433d96b7c713b370dff18922eddad19a8ba0b421008f334d8af2f8eb39f454487cbbea1b83f7141c4afea988d5592251a6c65
DIST boto3-1.34.36.gh.tar.gz 772161 BLAKE2B f5ca23c960e6dda208a17b3c73b169354ecc759508b7aa28ef20150dce540ed813e426854a5c97a30233cc26c4a3d5ad87024f2ab4cace345a0b675ca0958df5 SHA512 2c33262aa6513e1f7640738d1b03010f5c5e8f7fceb18e5e055e5bd34845bcd475e80f8e5736e96136b4d176165f2d3ebd9a4c79a9f14ec12c46e3b81c71c465
+DIST boto3-1.34.37.gh.tar.gz 772370 BLAKE2B 67b75d72d31d2520109e2d021b20c9d0aa91a503b73ce4167656204a53ab02a40b0b96ae7df7cb05254dc709aeaa971a3b002c44920ffe1beaf09dcdd9fe254c SHA512 52c60da9aeb431a365cb722ebe45db485fb8d36514fa057d40b35fae21abc24c07a4935b1a9133b037def2126f2ea7b71ed536f6eb8ff1c6fc1590d186dc2d71
EBUILD boto3-1.34.23.ebuild 1386 BLAKE2B 8d99a5817d661c2385af4f226e75a26ae16399ccf74ebbc7b172ecc2c70745440de7238e42fea98267fea4c82904f9a0abddfcc234c952b588855295061f16b1 SHA512 7114f33fe34e4091695d425d4497c92586d9bde0314358b992458bfcec365ee5c8c2ca856fdb7447c8429fb841faff0d0f2ec171b1a825b5e678f037d79dbdca
EBUILD boto3-1.34.29.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.34.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.35.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
EBUILD boto3-1.34.36.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
+EBUILD boto3-1.34.37.ebuild 1265 BLAKE2B ba7f54112a52fbd951c886d41b7deb5820caefe05c87f7cdf2564e8cdab75359bd0dcde93be72c588c3422ef1b69043daa8d9ffee43da72efcc9e522814396da SHA512 0fb5d2d3bd9f8fd424837df59aaaad023777459818141a3171f747bacdae21f81cac690da36af13123f20acf5a46d6edb90f76afe0773915526d4a816dea510d
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.34.37.ebuild b/dev-python/boto3/boto3-1.34.37.ebuild
new file mode 100644
index 000000000000..b64e7191fd19
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.37.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index fb17834084aa..8cf88df979d3 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -3,9 +3,11 @@ DIST botocore-1.34.29.gh.tar.gz 12665018 BLAKE2B 928c27ae62a5e2675dc5476af05a439
DIST botocore-1.34.34.gh.tar.gz 12682925 BLAKE2B 514e6946558d1014371ca7ae4c76614b9714e0444e65f9606abe059cff1e1c467e81d913dad849ed9468a557499daafbdb19bbabef7ef3ed1f45607afa1f545a SHA512 4bc0bc57f4b29c461cade471e18d0f04ecf081a33bf966d80ab09832e0a5af2c08808b9fe72be9ea6a04b37e8207cdf38e43ec588c38ab9546740863e7a206ba
DIST botocore-1.34.35.gh.tar.gz 12683490 BLAKE2B 4cb287495e77de15803b36755962a0e6446d00aa9a6056c5762261874adf297a55bd8fceb43aa518cb981ac09b5d00e87eb593f0356949b6f8b0cced65936ac0 SHA512 82a57540c6fa50957434254ff536bb0a6c73cec313372233c0e4b922a4d7539a7c2150d3c49df9bcd1840c29d2eb22b25d6d8c276a704dfa9a12a32974f17d33
DIST botocore-1.34.36.gh.tar.gz 12688895 BLAKE2B b05dbc906d6f49fe8df7c608cefa85bf08f59f9e086540366b5a46db4baa3edb7bbdb79ecfe3a9e0a8857cd9317f5deb6323b583ad092beadd9b0eb52c8c892f SHA512 6cd8985a729fd36a74ff3211b2021ceef7ea2c9a74ef259117e2df5c2fc97cbdf070539d47224720b33024af92ca9041f979fd7d7e84aba8955e820e22e96e2a
+DIST botocore-1.34.37.gh.tar.gz 12691397 BLAKE2B ee44e6f4e3728e660dc8299bd14584b06e624c14443701782cb9f296700146dc1d438eee737579ecc1294374599799302373e0d7b668c7b649c76fea5fd3316c SHA512 289f6bf8a622a59ede8bfdac71fd31fea15193790ee0e0f2bd773be68ecec1c9de93325f25bb964d2094fd829c3292930416badb6abf78ad92ccc077fd651a7c
EBUILD botocore-1.34.23.ebuild 1517 BLAKE2B d03af69902c7785c2b5b4d74b2783c710f9c40b401e82847ecc2255420b64a4fbb91042dd07c1846c5da01d095f51faff6ecc0ec85c370fa9ad1ade4f6e1e283 SHA512 34e0b3a1dcdb3be35548bb1a6d1b5bd892a75ad9ef8727db516c295299dd65e3956483682ac2c2f869e755611ddae30a8efb62513726d259a386af4e733206da
EBUILD botocore-1.34.29.ebuild 1412 BLAKE2B 95d189190ccd8a55e40de608a893eb696f064b02646e57793e24a0e56b1d05c79864ba1979c73dcad5f873758920fd1ff1dfe35861efb7c0cf0d89414e0f686c SHA512 d19893b851107afbf50a92291e1142595b0e6d9a3005c45b84558cec11ff1cb3473dfd7410f9486e62015cf35e69c5692c5c5d733bff851c527222c579f0d59c
EBUILD botocore-1.34.34.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
EBUILD botocore-1.34.35.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
EBUILD botocore-1.34.36.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
+EBUILD botocore-1.34.37.ebuild 1411 BLAKE2B c322f7e557d9a1768fbb08c343983f5d20c1a08806b8af9b1e85345c7acfc046a13059fcca7cd63610287c437e9c05eabd759bb7cd3e04551f66b481a9b4dcbf SHA512 93c32833e354efb9851b26574fc01a865f1b3b86f8dbf3794bc33fc3e2f561246485d776662fc6f9872ec22fea2c061d32768b2b6e9441f2251947fafa5486be
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.34.37.ebuild b/dev-python/botocore/botocore-1.34.37.ebuild
new file mode 100644
index 000000000000..3841b2a99c87
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.37.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/dogpile-cache/Manifest b/dev-python/dogpile-cache/Manifest
index 6c6a6df56cfb..1774244255b3 100644
--- a/dev-python/dogpile-cache/Manifest
+++ b/dev-python/dogpile-cache/Manifest
@@ -1,3 +1,5 @@
DIST dogpile.cache-1.3.0.tar.gz 265984 BLAKE2B 80aba607dad31b1ddb4e8b706f40c2ed47c7c2a4f074b7d115737ed934ed2b97c900e8ff5f01fa52c3177ebd364d4bac585cca4dd1d6aa5830cf42cdade52070 SHA512 fb00e114b2107d4ee27d699c62581554758f9ff2121ccade8f5c5aee5240adc0c6a1ae734f5d64b06f25493bfe19c40cffe1393d361be484433baaec74791b5a
+DIST dogpile.cache-1.3.1.tar.gz 266542 BLAKE2B ba639266dceed9fa55fa2e0045c8a73181da7620a4f06a032d41409933d7ed68c8b88a55bbf2711722507eb19a894cb6147bdc98ab714c0fb7b00e6d6ad6f149 SHA512 de7ab320e0173c302befd13751d89d1f1bcc024c210b3167b79b232306a835f2a51b6f09c449a7a401f4aa2b5e95d26039afbb57bbd17f0f0c4b962f8109d499
EBUILD dogpile-cache-1.3.0.ebuild 799 BLAKE2B d6f07538b6391a5e00ff308b8595420970050a20daa892aa44e58cbf90069abfd894cb0c474c512680ef65464960a253d59f8dceb60f06e16c629e375d717100 SHA512 2bb28b05f4430dd652753c3886778290675a33e3f85820a6b9caebae87d17a0376c1dc2815bef4461a34e1a010beaa5c96520d8ed11857c32ab63320f5b8150b
+EBUILD dogpile-cache-1.3.1.ebuild 802 BLAKE2B b13ace7a9adc5162ff68f40bc7f5794e4e053cd5a44693d28062fc5f47a70123ae2efb03e6bbb839e167cc9937e28c1d2b1ddcc6b3e93224146f6b5b2dfeaffb SHA512 351731bbfc8742bea9543cb3d4a5485af4596b3f9e6bb83dde2ab9cadffe893da950fa776403aadaf834d51500ded85df40ebc7d7e0fd38b8ed5bb6ad93611d5
MISC metadata.xml 843 BLAKE2B e0b6ed26300c658bb3f9bdc500bd24c38f26821d3a32ce448c56e5fd129f211efd58ef0faab1a6a9114a96991514de5fb9cf53b26601cb68fedb4c43aab3cdb2 SHA512 992ae84d983cbc06969e888e298cf8124dcf6068871bd5e12dd479a70ca00f5422d8c3cc178a842a340bffc5f72a5b203ce307ccbe49a0a60c0c52a5091052d9
diff --git a/dev-python/dogpile-cache/dogpile-cache-1.3.1.ebuild b/dev-python/dogpile-cache/dogpile-cache-1.3.1.ebuild
new file mode 100644
index 000000000000..dcdf789c5f6f
--- /dev/null
+++ b/dev-python/dogpile-cache/dogpile-cache-1.3.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A locking API for expiring values while a single thread generates a new value"
+HOMEPAGE="
+ https://github.com/sqlalchemy/dogpile.cache/
+ https://pypi.org/project/dogpile.cache/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/decorator-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/stevedore-3.0.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-4.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ test? (
+ dev-python/mako[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 2770896699e7..650a475376ae 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,5 +1,7 @@
DIST ipykernel-6.29.0.tar.gz 160814 BLAKE2B 4f5c650fda125a477ae7f16fad07e968f0f31a97375159ff5d3917181f31ecac3a618927e492332e5d5f69321c43fad69daa4c9bdfc67acc3756775ef855ceec SHA512 f924d8c4471f04349e1c8d0b980f8759e55c37585a4a44e61ba01ed1b96e3aa3897ec6e953e91f8f881debf5e599ab95b679075dcd413e43b8ed0263e8c9ca44
DIST ipykernel-6.29.1.tar.gz 161082 BLAKE2B f5f5d4f15d08594fbab78675cdc1575a5579b69adeb393fa35d3ef57f56ad642999e5d17a901287a7924d8f7d1b62625d1c81dd96c821ce43bc694a277c63389 SHA512 8691394e76b151561248f66802622a4e4863c51bc26b4cf44e468155ff0f82405b92e69c37ecca8181d4b71736f61658fbf59937e7607a94288c107ea4cbfd74
+DIST ipykernel-6.29.2.tar.gz 161175 BLAKE2B fc63fbaf01403933e7bcbb5b242e48f125a8349aeb2454a9bfd2f564e67f842af546fe4e69e447be2f4f6396d6aabcd6e29a6ff57424f5fcec0ebb1a43c50177 SHA512 5be2b1447b951304cabb7fbefae711aa2510dfd72ee03f0e2d9ec02e1cf44e541c9d8a11a87ab77a9338acb56db5c2cd82b11fa85f296c8a06ce6a8235e394b3
EBUILD ipykernel-6.29.0.ebuild 2280 BLAKE2B 565255e043a9ca8f3351590af40d61c998c230776219123b36051fab599eae050a466f20ff34bf41d4b35b226b23840f6a2a8944e9064dcf2ad46c598c3e7c27 SHA512 07bec10896fe9d1c70a59c2bd7ee81d7d2a467b71ed6d0d81d9d36f61ae9ea6b1b1bb39ea0ae6b0abdcd1c8242574caff3e073387b114e55c2886ff40ed14d69
EBUILD ipykernel-6.29.1.ebuild 2288 BLAKE2B fff9a832fcbef918aa035e643eb4694ae35feebcc6ead744ec948e7a81e44331c862858a21a6ec936c15e9f2971579c43743bb2038ec3f07d08d1558af91998f SHA512 6122a1a723ba44b7d56a744a2ac66a29022c7cf0fe1e6b6d1ff7ff378d1b09bacdf31ca02429030439c860d7e7313c78a574352d31cc9617651909c41facfb50
+EBUILD ipykernel-6.29.2.ebuild 2288 BLAKE2B fff9a832fcbef918aa035e643eb4694ae35feebcc6ead744ec948e7a81e44331c862858a21a6ec936c15e9f2971579c43743bb2038ec3f07d08d1558af91998f SHA512 6122a1a723ba44b7d56a744a2ac66a29022c7cf0fe1e6b6d1ff7ff378d1b09bacdf31ca02429030439c860d7e7313c78a574352d31cc9617651909c41facfb50
MISC metadata.xml 527 BLAKE2B 4a24cb9d5b801bf94c71c47d0c90b04bc249fb41a794c7b688a5762f08545d1fcfe9e4976aa4f583ecb456458b5f6dfc394349633959444584c0abad0da4be42 SHA512 ed9f0ef12ec5de67a646783243555f1737604a84c78c57b9f7c65137cec8cbc396991411501927f92bd393daad2238c27363ecc9c115031450231c2a4fb2cbb9
diff --git a/dev-python/ipykernel/ipykernel-6.29.2.ebuild b/dev-python/ipykernel/ipykernel-6.29.2.ebuild
new file mode 100644
index 000000000000..1bd0e3b093fe
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.29.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+
+RDEPEND="
+ >=dev-python/comm-0.1.1[${PYTHON_USEDEP}]
+ !elibc_Darwin? (
+ $(python_gen_cond_dep '
+ >=dev-python/debugpy-1.6.5[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-client-8[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/nest-asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-24[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.4.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
+
+src_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_debugger.py::test_attach_debug
+ tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ tests/test_debugger.py::test_set_breakpoints
+ tests/test_debugger.py::test_stop_on_breakpoint
+ tests/test_debugger.py::test_copy_to_globals
+ # hangs?
+ tests/test_eventloop.py::test_tk_loop
+ # doesn't like pyside2?
+ tests/test_eventloop.py::test_qt_enable_gui
+ )
+
+ virtx distutils-r1_src_test
+}
diff --git a/dev-python/jaraco-classes/Manifest b/dev-python/jaraco-classes/Manifest
index 47f050810a72..573313fd8807 100644
--- a/dev-python/jaraco-classes/Manifest
+++ b/dev-python/jaraco-classes/Manifest
@@ -1,3 +1,5 @@
DIST jaraco.classes-3.3.0.tar.gz 10729 BLAKE2B 05791a799e4d5bbce94b111e7acc922f46cf2eb409c6043f997482960ad3b4a29b0d2f9afc7f1fdc07363f0a0b6403077d685831baf909ecd93adac71611ac30 SHA512 8099c85c93ed0eff37b1f870e2577b20488dea7b10273c00a89b43c0ef759c17c9a835916eef0fd97b3944bc5cd50b32e1393ac7c80cf7c7bfd1ee0d639d16cf
+DIST jaraco.classes-3.3.1.tar.gz 11699 BLAKE2B 4510bc79d9fb0697aabfa5211c250e362048091b38dc1f6d404abc80ded078744dda29e91bc82ff30fbfe352614f3be14e1cf2cebea0ce7bd839d21b6897817d SHA512 368a45965e321506bb4a66c80ddf79e8e58f25f92bf9bbd1cffc9118f696ea23dcca6f9277544d1c2af1cbc18fe0cc5a2bdc7b9ad865f54ac0776b0b58aca90b
EBUILD jaraco-classes-3.3.0.ebuild 630 BLAKE2B cfb5819d377d58e7f69aeb6496875d84219ef856a3b8b486ecce31fd8c3d3ba01d6d5d99bb2abd0dd03465ed47321ceb4312ae35167bc369614d2527ac5b9aed SHA512 86c303eefd427953aad642467e5c69399cada676cb3c20e350a931dd6e39a90d8a03d3b7009e3b586ba1615c6b883c891358882bf5159ea3d6c0f14f1a620e6d
+EBUILD jaraco-classes-3.3.1.ebuild 638 BLAKE2B 1fd5f3f456fa76fd715237ff9ea9823a13ade7f9153a0369f5405b31eda0cee9717d9e160167cf9464ea4abec27f687db7482c4aa74f827d453a5bd35d364dd7 SHA512 a3b5066a1a50383d6faf7c5099fe871e99a67e3532e10be75e73f75bd53cf31674663cfab1eda676ae90739da6f827240ad2554375ab655bfe7cf914cf276fcb
MISC metadata.xml 472 BLAKE2B f2c9615836b0be2e1820d5ab8d33b16bea45f397c2f3bc10caa9c6910a489271eb399dc407da8a3fbabe9b81fc3ee3806a70eeac65ca627357c7b64429002cb5 SHA512 1f89c22910291e406b5e7ce9c008427ea9948086d190b10da18da020d8ac1c505b068d12fd24a26ee666b1c71ace5b619d511c05fead8855ce0d6c6088d800e9
diff --git a/dev-python/jaraco-classes/jaraco-classes-3.3.1.ebuild b/dev-python/jaraco-classes/jaraco-classes-3.3.1.ebuild
new file mode 100644
index 000000000000..6374ebe23e5a
--- /dev/null
+++ b/dev-python/jaraco-classes/jaraco-classes-3.3.1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN/-/.}
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Classes used by other projects by developer jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.classes/
+ https://pypi.org/project/jaraco.classes/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jwcrypto/Manifest b/dev-python/jwcrypto/Manifest
index df769b027fde..2bd29ccae278 100644
--- a/dev-python/jwcrypto/Manifest
+++ b/dev-python/jwcrypto/Manifest
@@ -1,3 +1,5 @@
DIST jwcrypto-1.5.1.gh.tar.gz 96563 BLAKE2B 13b39b27825031d4f30e1399bac085ba846551b5e50c49ae2a1ff31182e47a896ef9bfdd1705a40e59ddeb6850ba7bafd19ccf83d9f8177c47936e220df881db SHA512 fecb993a1157b6e689d3e845c8839f3178e32ab7fc920bf6b7328705293dae5e3d1424532b066f6dedd9c25a5cdeec91089ed4b83c4592cf6e1690419b5a5539
+DIST jwcrypto-1.5.3.gh.tar.gz 96597 BLAKE2B 6efffce256f7652ca79316c0a4148df61bec65d74f275ffad6f665cfb26c14137ecc7ec219fa30c0f8dcdc3de8468a94dc158ed0b1f973b8d5a451fa1081fcae SHA512 90081959ebd3ff0d003e8bfb6f25e51243c6f7d522d085f5fa63e2a810707b070069a387fbf067c16e8bf3d8e84f9387c399a49a23e20c4d2007ab53e99f041d
EBUILD jwcrypto-1.5.1.ebuild 845 BLAKE2B b0c7c3320880be5ac70e9e95c3968434070e7b5b272a32c86bad42e8831e98e50b0b42cc047355718ce27c11a0373f53d186056675d4becf21556cceb52fbaa2 SHA512 db0683040c46a27b56f3ba9fe78747edc61a7cfec22bff4b8e2fffed1bc863c09898d9063ec26654d4b9cf5247771d4c0925427167753b32d0dfb3d8735e01b4
+EBUILD jwcrypto-1.5.3.ebuild 855 BLAKE2B 00f5a63516d7a526988d3ec76930767efd391e13ae73f1060b798296fae35ec8507b2119aad6041204457c47e72dad9d56d82800004220655d58244b1772c199 SHA512 d0543094363f40ea1335ee45aab6fc1a0cc072b162a7d21fa6245d22a401a0a4679a1d1f4b6555be7d3ec87321b7323b1c45d1cc832f758f7c49b4ff45920b6b
MISC metadata.xml 369 BLAKE2B c7868e0b20a2875964290642cddb457b71628e361f0e032875ac45f4405abeb76c8c53bcfe623c9a2e49ea6e184505503b4e43f34c456528ff3250aea5110b10 SHA512 a1fec6ac31bbb096e508b0ebd644aa8a96418e6972d852512d4b7702b67f241f858610235dbd68430c588d8b837c7a0866f333c8aab182e7cd01e10325031d34
diff --git a/dev-python/jwcrypto/jwcrypto-1.5.3.ebuild b/dev-python/jwcrypto/jwcrypto-1.5.3.ebuild
new file mode 100644
index 000000000000..4ecae46ff05f
--- /dev/null
+++ b/dev-python/jwcrypto/jwcrypto-1.5.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Implements JWK,JWS,JWE specifications using python-cryptography"
+HOMEPAGE="
+ https://github.com/latchset/jwcrypto/
+ https://pypi.org/project/jwcrypto/
+"
+SRC_URI="
+ https://github.com/latchset/jwcrypto/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="LGPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/cryptography-3.4[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not install doc in non-standard paths
+ sed -e "/data_files/d" -i setup.py || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/markupsafe/Manifest b/dev-python/markupsafe/Manifest
index 22f6294e552f..ee7427e5480f 100644
--- a/dev-python/markupsafe/Manifest
+++ b/dev-python/markupsafe/Manifest
@@ -1,7 +1,5 @@
-DIST MarkupSafe-2.1.3.tar.gz 19132 BLAKE2B 1edca84c47c93fddfd22ee2fef2ba3907921ecb2d807c0e105c403d235e5abacba929be94970ad693f4c7d019653ece8255238d825bfc84d1a4a604fb476a783 SHA512 97dcfa9277c8b34e5ebf899069f690452e90943e0f84ba8ffac725263d84e7c2b782294f9f386be31e8b6846505f0ec70835e3965fc76a1ce07b19432de4a7de
DIST MarkupSafe-2.1.4.tar.gz 19288 BLAKE2B 3c358e913b0fb9fc4ea1fb4ed983a8b20a5b6fc6a7212e12cbd4bbd6753e45339dbc88068105cdcab3a86ed812ecd2cb04a6d94222c50bce3752e3125edb783b SHA512 f9abe713349ee81eb0d89c584b665440f7e9c26df3f4f87e277894aa59090cfa769e099a12b16c9029d98257dbb311e49a1d7deeeb4ca9e1863fd38e574b2d94
DIST MarkupSafe-2.1.5.tar.gz 19384 BLAKE2B d6ae0e1864983f4ab92f2fd9b58a012a8c76e6f47957681d4acc362b2129d63fe4f4625600a89081afe0e99f868eb604d6c75fec88de9a18ebb32c15f091681b SHA512 3ba5af43d23c266377f5d32b11e1faa7955ea8c67eb1c32886c308527f93e75e387294d0eec7794c0c20aad0c705b27f3d1f86b04202f3b63068d12d4053cc71
-EBUILD markupsafe-2.1.3.ebuild 677 BLAKE2B 387f1c368046b9a37758137de87b9f2d299593055e30a3dd16b253e33eb14502d95b836c3c63cfb761fda0962d9d0f93595cd5e0afaa281ef091d9507e4cf67e SHA512 02fce39fc0bfa0f81bffc60a3ce9de05cf8a7ce03580754cd2069a8835b33f89bf66af215b6a73aec636e9a38d7d4bf0d9dfca9459d86bf94bc708feb87cac61
EBUILD markupsafe-2.1.4.ebuild 677 BLAKE2B 5c346d4f13dd9f963d4710d157d7b858bd867dc76db370cacffd7336285e52eef24d5e0544932a4d1b662bbb92d322ef4260fc69e3776f2b837399cc061e0854 SHA512 6d133c135fd608eadd6c9059f0b2d789bfa28da8e3d3dd05a5e9e31cffd74250e37967396deebd9b1b1f7f13bdda39c3eb4099fe0693b96b23ebd58af2e8da2c
EBUILD markupsafe-2.1.5.ebuild 685 BLAKE2B 2c84c92721fb6e9259a2816a0fab7ae56c65a52bb85d76f5040666f96e46e721ad43c7d885dc6cc39f8dbb0650b8b872465c918b3c3413bbce48482892ad8ce8 SHA512 6ebb77c43fcec7e470935fd31018ffaf493979c8c0cd141755547f647a2f93dc44987519610f0e1498a84ccbe5114bb388f1a7a40a7f17765a3f660499cdb476
MISC metadata.xml 372 BLAKE2B 3b33895aa8873e3e611625633941ea35947ceae506ae76b57c4f1d6396f91c6efc1e12a6c6bcb63aab409ea3320f34017f438af51f3bc6923cf465900f6a4600 SHA512 50d7ca17802ec57aaa22a227f49f62551a593810953b4f5b63834d93cb45fe1831f4a04928a32e88434bc26cad749564864df9f1fa6d6acfe9973e6ad8fe9d5e
diff --git a/dev-python/markupsafe/markupsafe-2.1.3.ebuild b/dev-python/markupsafe/markupsafe-2.1.3.ebuild
deleted file mode 100644
index 98f64d68c96f..000000000000
--- a/dev-python/markupsafe/markupsafe-2.1.3.ebuild
+++ /dev/null
@@ -1,25 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYPI_PN="MarkupSafe"
-PYTHON_COMPAT=( python3_{10..12} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Implements a XML/HTML/XHTML Markup safe string for Python"
-HOMEPAGE="
- https://palletsprojects.com/p/markupsafe/
- https://github.com/pallets/markupsafe/
- https://pypi.org/project/MarkupSafe/
-"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
-
-distutils_enable_tests pytest
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index 18c9f7f31078..896fc265ea09 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,5 +1,7 @@
DIST nbconvert-7.14.2.tar.gz 852202 BLAKE2B 195a4f8088ec82d7fcb56b7450878d8e769027bedf64dec82adfb2683936400c74b62ceb2a24d47724584df0cfa0e9c773e53357b412eda0958aa2c4256cb3fd SHA512 79a91b2cacb50af8eb584668b070bf233de4cdf783fa0d9d256c2204de4a97efc5224088811b6f2b5f89015e4180a24da63c5b79a026b1966df157de325114cd
DIST nbconvert-7.15.0.tar.gz 853363 BLAKE2B c417428708279099d8a966ab61d044be1deebbb37757b75a248b8bf50302db8a7ba39a25c0d255777d695f9af93f43f420727c33bdad0a4a239660b7f74cc49a SHA512 bf598cc776ceadadecdec816ec8fd78502cffae399175d22cf184d6e45974fcd0d5e731ef8aa032aec251dcd2a8e5d6077c585c5f70786d4cbe72979e1ad8503
+DIST nbconvert-7.16.0.tar.gz 853637 BLAKE2B 6fdfe20563813c9d331c7406b74bedb09330c812f8be9e78cad76d4a741fc130dcaad95960a1dc5f6028075b6599db9349fabcab7f08906349501cad21401334 SHA512 22e5e5f8d52a27322378da10ecd14b10a14e2a022e7940fbfe2f7c9b9359a00a952d3b32ecd0c0f4959a5d2792630a7a7620dd4476324a773cda840f83aa74f4
EBUILD nbconvert-7.14.2.ebuild 2129 BLAKE2B c985ceeaa9b95b9c4404cdab39009e13d3b1873e96fcd351237a0e07642fb845900035bdfe8d1e1f7d27c51a58d5d1f74442cdf9346c47f0b3732f7c89cbe313 SHA512 8954d7e0a0a8a5a139c2b6ffb19185061db8fa51e7b77a4ac9bedb1e83326722a599f05b1cc0486a9b81af380d4ab36eb98a5c3580f771678cfacfb327b88a94
EBUILD nbconvert-7.15.0.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
+EBUILD nbconvert-7.16.0.ebuild 2136 BLAKE2B 977df81ed6e32340d84d104efa8969b83a876e96aed32600151a31ef2c6cb1d692002481718472f6ae4ed2b16d1635bd69d5bdf7d0b068c3a2836c48df728140 SHA512 005f516a9011e128e8b867315fc1ddbc57b615d7ff11d51fe21bd73068b1bff5b1f7df2898450a545516fee35e11c0d64db2d8b34634f92bc41c659826bdeedf
MISC metadata.xml 527 BLAKE2B a915103b3eaf57236f4257c98354a1e3733771369ac825fa8bbc4f79f0d1a23272dc86e744513620fbee37792e813a15dbb955e633a7c57597c3c38657ed05d3 SHA512 b60a311ce52915dbc12addd4a882670ac96ff8b3be2aa651eaac3d0963d6e73a72eaafd53f90fb685599504857e6bcd0568071962d7696c2605462b77260ad6a
diff --git a/dev-python/nbconvert/nbconvert-7.16.0.ebuild b/dev-python/nbconvert/nbconvert-7.16.0.ebuild
new file mode 100644
index 000000000000..90b36a68a170
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.16.0.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ <dev-python/mistune-4[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.5[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # crazy qtweb* stuff, perhaps permissions
+ tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+ tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest || die
+}
+
+pkg_postinst() {
+ if ! has_version virtual/pandoc; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/pytest-qt/Manifest b/dev-python/pytest-qt/Manifest
index f6e6c5498d73..8c9f06f0d0f8 100644
--- a/dev-python/pytest-qt/Manifest
+++ b/dev-python/pytest-qt/Manifest
@@ -1,3 +1,5 @@
DIST pytest-qt-4.3.1.tar.gz 125223 BLAKE2B b7ea852b4f0a97950ff4b8f03983639a30dcd8b3532a52f0d78a5074d1220817a0853a040eba71798fd74fba27cd77eeafff2cf12b177693d77f9bd954d841a4 SHA512 e77bd0817f9dfb492ddcd9cb605b07d1e468ce7b52dce7519f2f96afd004f7796a028998572c589444e9737278a84efb887c801fb3bcc79a71c48ab849070114
+DIST pytest-qt-4.4.0.tar.gz 125443 BLAKE2B db2653ffd220e6507edd9cd2610904e5d9c1f5b39edf7b2d5043ecb7951361a6bf75618c9847b62432e0182433f2df528fce300888cca405bdc03502d6ebe717 SHA512 57c6a1866c7685db5301faa42298f11ef3d3a030cbc72fb109a8d6166621625fac89365671f781e5c3d652a190567bec3bae6f12cdab20812f43c7ef8e4518fa
EBUILD pytest-qt-4.3.1.ebuild 2094 BLAKE2B 597ba8677b1707c198903dcc019f71c9e027a19f627182d3fcf3755ec6be6545c0803c07fb66de592d1b17ff6159a00d43221058961042f726bf4de2235d4e43 SHA512 f66368fa1a34b41d29876c51fd9df2870029b5842d08da254dc745764d8b59b417c8a402228682ede8430c7cee5fc32d0b9ad2b585021b0fc414cda6a3ce6707
+EBUILD pytest-qt-4.4.0.ebuild 2140 BLAKE2B d89cfbf1799c6068c35e7fbd952130265d7f0283f5cf56e7ca6481ad918b936dcb2814095641f66304d6f6075c2e2460cb35bbf67974c5c4856a33f0715f8f6c SHA512 bd45b5de61a71945c222bd71ee1255ac731298e14382ee3ed99621334a8e4e522b65658874da7a9935a5315d5168093b733e580f8b7ae55293ae5eeaedb8c302
MISC metadata.xml 516 BLAKE2B be5241e39f672681b27a003d02eca0e047644cad7da57de6b3393f58760c094c1661b9d168e44bea4efd56b38225d49abd5be6e71031a0d854b878716286d3ed SHA512 77981d63d3214fd2c052f8a7eac1a439899318973807299237a9105730893ce01d4423b060f532bd4f4496418683fc5128508c7d8747ba6ee6ed0eae67e5569f
diff --git a/dev-python/pytest-qt/pytest-qt-4.4.0.ebuild b/dev-python/pytest-qt/pytest-qt-4.4.0.ebuild
new file mode 100644
index 000000000000..66e09e0d7f4f
--- /dev/null
+++ b/dev-python/pytest-qt/pytest-qt-4.4.0.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+PYSIDE2_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 virtualx pypi
+
+DESCRIPTION="Pytest plugin for PyQt5 and PySide2 applications"
+HOMEPAGE="
+ https://pypi.org/project/pytest-qt/
+ https://github.com/pytest-dev/pytest-qt/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/QtPy[gui,testlib,widgets(+),${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ || (
+ dev-python/PyQt6[gui,testlib,widgets,${PYTHON_USEDEP}]
+ dev-python/PyQt5[gui,testlib,widgets,${PYTHON_USEDEP}]
+ dev-python/pyside6[gui,testlib,widgets,${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/pyside2[gui,testlib,widgets,${PYTHON_USEDEP}]
+ ' "${PYSIDE2_COMPAT[@]}")
+ )
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs dev-python/sphinx-rtd-theme
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ # warnings from other plugins cause the test output matchers to fail
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytestqt.plugin
+
+ local EPYTEST_DESELECT=(
+ # requires the window to be activated; that doesn't seem
+ # to be possible inside Xvfb
+ "tests/test_basics.py::test_wait_window[waitActive-True]"
+
+ # TODO
+ tests/test_exceptions.py::test_exceptions_dont_leak
+
+ # we are forcing a specific module via envvar, effectively
+ # overriding the config
+ tests/test_basics.py::test_qt_api_ini_config
+ tests/test_basics.py::test_qt_api_ini_config_with_envvar
+ )
+
+ local -x PYTEST_QT_API
+ for PYTEST_QT_API in PyQt{5,6} pyside{2,6}; do
+ if has_version "dev-python/${PYTEST_QT_API}[gui,testlib,widgets,${PYTHON_USEDEP}]"
+ then
+ einfo "Testing with ${EPYTHON} and ${PYTEST_QT_API}"
+ # force-disable xfail_strict as upstream as xfail assumptions
+ # don't seem to hold on arm64
+ nonfatal epytest -oxfail_strict=false ||
+ die -n "Tests failed with ${EPYTHON} and ${PYTEST_QT_API}" ||
+ return 1
+ fi
+ done
+}
diff --git a/dev-python/ruamel-yaml/Manifest b/dev-python/ruamel-yaml/Manifest
index 916159749b46..1c2a84e07293 100644
--- a/dev-python/ruamel-yaml/Manifest
+++ b/dev-python/ruamel-yaml/Manifest
@@ -1,5 +1,7 @@
DIST ruamel.yaml-0.17.40.tar.xz 193424 BLAKE2B 80405ef0c85af476ef0e996b1da5aba1a116e8c181d18f40fb4fd86093a512c09cf0da30d52d85946c524e86e10379cb11154cb08a7ea7b054ba9379996de4f4 SHA512 848af49430b9c028a6676a159915c66e29f4290374ba0863e4fd87527f3178bb303a80f4ba97139fc8cbcd01f7f7782a4b3112325237a39659e227afda61fcb8
DIST ruamel.yaml-0.18.5.tar.xz 197372 BLAKE2B ebb48da26e1e9ced585d78d4ca27359cf72891dcd2cd6793711cebcb67e5d18212992216bc8658c169c8df06847d8f70e3ce5c60ff8cdb8eaecacf3695a2e0d8 SHA512 8f299190ad9e32122fd15b80b8b53c8909df078d1575612c11a50d46eec93f25375d2c3368fb637bf83e3bd7b4eaa6ddfcd8cd90540130b4e1fb5654bc847e9a
+DIST ruamel.yaml-0.18.6.tar.xz 198544 BLAKE2B 94d50ba8aef92e2885b24118bd9f4b1d06a82d51b2e7930c39dea93f4c0f9fc9d0604dfbbe716f81f3c9a927698d14c7005bb0ce2ae5d2eadf27514dfbba88c1 SHA512 319e1029746ebf6ef1c6b6bf6055d7c56e7caa2559b34b4fe639616c4332ef46661afad67c42d123bd0de67819812ea8f9cc9d51c0189edd6e33d5d47f47bb26
EBUILD ruamel-yaml-0.17.40.ebuild 1349 BLAKE2B 3a880e86133f7953095b1f0a1899c422fdaa5cfc2f3d589a4896ff1502795ff692188c295cc5988e5490fcb69d9f0ada1627d73bfed96641c1dfec13dc08258d SHA512 32f695586dc9c624df49e1f0a5747113ff124546a2e1c5871b6b03fcfda26b84d41a42dc90450660fc89e379ad9695797247dcf917fa5f6eeb7426bd957eef83
EBUILD ruamel-yaml-0.18.5.ebuild 1374 BLAKE2B 413894fce3eac69f553bb17fe6ca08f97ed45d16dfe7189bb2bcb50e0010b63cfd09c9753e19f9dc7f0907b0d9d0da626e5b9664f81316580a0c04fb8d9c1ab7 SHA512 8b3016332612315275d7c690e26c93577b200235424db30ac4ad5bbc2f914af220c0ed61c5ab85d94cb9cac9f04b43bd5a4fb3f6d73338c5b5c726f6b7b904f4
+EBUILD ruamel-yaml-0.18.6.ebuild 1382 BLAKE2B a871d28e1b47d0904aae73147f2b890c967f53a625908d2f97ca160f46cadaa11521a49b1a1c78bcc5a2b86354e1bef48051129a6a8336589d3f2e2e0db5d036 SHA512 28b2cd59400d9a01c47c2133d6a6860d2533b9eac9d924ac9884cb764fd708eaa69a4b9853126fe40dcb573089aa55525d399d782d5d5ecacd7f645372804526
MISC metadata.xml 759 BLAKE2B ce5ec2429c5fe84587d1b5e7744055e1e8e91eae8dec780a4654cab405df46350d1c8175827351948364255b8fcd62ea234239260c01b8ce23b8db182e6514e6 SHA512 faa587083ffa9af40108e2ca9cfb7a4e2c3e19a731b39241a7ec62d6fca051ace92bcff3fa9896a343fdc196a04fe1d132bcbb7bfa3fd96401ac996b76bba4ee
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild
new file mode 100644
index 000000000000..8d2d7240b479
--- /dev/null
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="YAML parser/emitter that supports roundtrip comment preservation"
+HOMEPAGE="
+ https://pypi.org/project/ruamel.yaml/
+ https://sourceforge.net/projects/ruamel-yaml/
+"
+# PyPI tarballs do not include tests
+SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+S="${WORKDIR}"/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]
+ !dev-python/namespace-ruamel
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+python_test() {
+ local EPYTEST_DESELECT=()
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ _test/test_deprecation.py::test_collections_deprecation
+ )
+ local EPYTEST_IGNORE=(
+ # Old PyYAML tests from lib/ require special set-up and are
+ # invoked indirectly via test_z_olddata, tell pytest itself
+ # to leave the subdir alone.
+ _test/lib/
+ )
+
+ # this is needed to keep the tests working while
+ # dev-python/namespace-ruamel is still installed
+ distutils_write_namespace ruamel
+ epytest
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index d8b006eed738..2661e9cafdd9 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -2,7 +2,9 @@ AUX sentry-sdk-1.21.0-ignore-warnings.patch 329 BLAKE2B cdb4295e600d868feb11b4a0
DIST sentry-python-1.39.2.gh.tar.gz 452370 BLAKE2B 8ab1b4464ecbd8164c20d926a78f4c839be9c1dba6b09c26c2aacfdc236ca6e93406ea0aeac1a2b86439d2340b546a32c8a3f2db80cabefc6986f4567753f660 SHA512 728f799fe9419d30a07ae15eba0feae4e861edaabe1b16a23f54d8fe2a389273ebfc43a1183368ea22332f63a096ea154031ca0e1c3efcea26cf83c6093547c3
DIST sentry-python-1.40.0.gh.tar.gz 457692 BLAKE2B 8f5d299c991f169eaba255ad13fc30620cda7f4d26b0f6ac353a28eef7f1c7001d9a20d61a4d565dc620dbd9292ce11a5bf9fe8c26129f1c340661f218074b53 SHA512 cb3297e96064b3c71a4f28ad1781277f3101c2171d6e8339664c400531f13ed8b394317601b20940261575ff1646801bc8cde760d595bdffa97af4cda4e27d6d
DIST sentry-python-1.40.1.gh.tar.gz 458026 BLAKE2B 2f4f34be4dd90bcdace51b593feb54e09ab3ec936c637c8eb484177289ffeaa588c73f474686986a90131c3b746867b552d6fbc29c3c7f1f360f878ed9ee5141 SHA512 07af5062e15d6d9a5c5ac678e4d3274d566dce9929f8b7412d9606749f93b5cf8405bb56577752afc4234f924d8b7ebd536d5a910589faa5dd94f5ecd9d0c9b8
+DIST sentry-python-1.40.2.gh.tar.gz 458073 BLAKE2B 807ab048ced25a121bc681ace1b04a0f2cee5c49d18674b97b6e15a1466a3a73566dbf05abf052610fe3fe469eacf92dbc5e94367004ffc5d35da409c9c3792a SHA512 b14926d673afdcbc1cd1c09b667e3a407bfd8bc3643ecce0c811d429932ff1a291b4cad9abbeef7de03fff22d1159b7c7c0baac307e19bc8ac60c2cfb87154bc
EBUILD sentry-sdk-1.39.2.ebuild 5351 BLAKE2B 8f016448c88edd45df43ed13efc51dd465e8b7a71c3f24e48ce474805eb926dce103ba26d9cb10a88e762e0fac41fdcdc8dcc88799474c2bd5b05bdae27e343a SHA512 ac0156b0615f74a84b1991cacf9a4ea9bb53197e91c49556921fcac43e3fabc6c0776bfc09c4aabd1b016545edd29b4fbb508188f4fce9c19d6bec71d0cfaf16
EBUILD sentry-sdk-1.40.0.ebuild 5473 BLAKE2B ca83f88a46c40717debabcac3b749ab840aacc4b2bf0e9c9d76965591d62ad88dada80dc188ea9ecb215897c3462fdb3d34802165e1a0e6901904816862290ab SHA512 4333f13798bde991902b0aaf82f64a5e0ff9f7644a1c5690b4ae6deef3516feb32abd5114953e59d9e4328489e9d1b85c8bc2f1bc17c96e00a47eb8e12443607
EBUILD sentry-sdk-1.40.1.ebuild 5620 BLAKE2B e956f30327c05667d99addb3a1386b9689b64f10734a461f069bc1472447028abe3fdb3da9c952f547bc91fa933d3aead8e897899bbac7c43589a4399857eb77 SHA512 56e59edea33e03fea5cacc189eb0922229ff57719093b61169be33def8fc23ea915c4dd7a6863a90cdb9da2f4e0884ccc1fade5e3bbf49e2976aa3ac082a1a0a
+EBUILD sentry-sdk-1.40.2.ebuild 5620 BLAKE2B e956f30327c05667d99addb3a1386b9689b64f10734a461f069bc1472447028abe3fdb3da9c952f547bc91fa933d3aead8e897899bbac7c43589a4399857eb77 SHA512 56e59edea33e03fea5cacc189eb0922229ff57719093b61169be33def8fc23ea915c4dd7a6863a90cdb9da2f4e0884ccc1fade5e3bbf49e2976aa3ac082a1a0a
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.40.2.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.40.2.ebuild
new file mode 100644
index 000000000000..9c1a5c572cbf
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.40.2.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..12} )
+
+inherit distutils-r1
+
+MY_P=sentry-python-${PV}
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ <dev-python/pytest-8[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/python-socks[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}/sentry-sdk-1.21.0-ignore-warnings.patch"
+)
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ tests/integrations/socket/test_socket.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # TODO: causes breakage in other tests
+ tests/integrations/starlette
+ # TODO
+ tests/integrations/tornado
+ # requires mockupdb
+ tests/integrations/pymongo
+ # requires AWS access
+ tests/integrations/aws_lambda
+ # requires quart_auth
+ tests/integrations/quart
+ )
+
+ local EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_custom_session_cookies_filtered
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_large_event_not_truncated
+ tests/integrations/django/test_data_scrubbing.py::test_scrub_django_session_cookies_{filtered,removed}
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+ tests/test_profiler.py::test_sample_buffer
+ tests/test_profiler.py::test_thread_scheduler_takes_first_samples
+ tests/test_profiler.py::test_thread_scheduler_takes_more_samples
+ tests/test_profiler.py::test_thread_scheduler_single_background_thread
+ # broken with py3.11, *shrug*
+ tests/test_profiler.py::test_extract_stack_with_max_depth
+ # TODO
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_long_sql_query_preserved
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_engine_name_not_string
+ tests/test_scrubber.py::test_breadcrumb_extra_scrubbing
+ tests/test_scrubber.py::test_span_data_scrubbing
+ # this is not even funny
+ tests/test_utils.py::test_installed_modules
+ # flaky hypothesis stuff
+ tests/test_serializer.py::test_bytes_serialization_repr_many
+ # TODO
+ tests/integrations/aiohttp/test_aiohttp.py::test_basic
+ tests/tracing/test_decorator_py3.py::test_trace_decorator_{,a}sync_py3
+ # crashes Python
+ tests/integrations/grpc/test_grpc_aio.py
+ # hangs
+ tests/integrations/threading/test_threading.py::test_propagates_threadpool_hub
+ # TODO
+ tests/test_utils.py::test_default_release
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_orm_queries
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_transactions
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_query_source
+ tests/integrations/stdlib/test_subprocess.py::test_subprocess_basic
+ tests/integrations/threading/test_threading.py
+ tests/integrations/wsgi/test_wsgi.py
+ 'tests/utils/test_contextvars.py::test_leaks[threads]'
+ # skipped without gevent but breaks stuff via broken teardown?
+ tests/test_metrics.py::test_no_metrics_with_gevent
+ # TODO
+ tests/utils/test_contextvars.py::test_leaks
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio -p aiohttp -p pytest_forked
+}
diff --git a/dev-python/sip/Manifest b/dev-python/sip/Manifest
index 489d2a1b692d..7151911f36c8 100644
--- a/dev-python/sip/Manifest
+++ b/dev-python/sip/Manifest
@@ -1,5 +1,5 @@
DIST sip-6.8.1.tar.gz 986219 BLAKE2B c9055b1aff3314661bfa2daa4fab465b57e811976aeb76fc2dafcb684b4ff2274c4eed88952ccfa904dd0e04a73f8f1eb6b969409146cbb80d3f1a2f58af9a99 SHA512 315243ec94fa66165ea458b64ab11d5b682f17723148e4dbe844dc31d6d7b024458a58c68bf2643f0930a31f28821b85a99fa1b02431a9a2e1c0d8ddd1df3342
DIST sip-6.8.2.tar.gz 987521 BLAKE2B 318058b2c7f03cb5cdbd56628233eedf26edd10a61e7ef505d463d01542cceb19e2eb15ca82eb6679c4ae646ecbbbca636ef105a2e73c368fdc69a621a28a4c2 SHA512 7edc3d10256d6622179cb4d207227935786399de52adcffc7fa9dd9d05b32488823642ed128e30195c3e71e470c48ae49e2c2225b76116e849496d2197571d4f
EBUILD sip-6.8.1.ebuild 653 BLAKE2B 263a00503853ec3e615e5bd66d0b2a029749cd4960132c36abd7a5c1701adc2f38959727c09a8504b2c2f76379b756ac7209ef28d74a5e9ac414d99c1bf83dff SHA512 e02377d502a7d1eae26b2d55ef0f88cee782e252ec67f17caa23d4342da412430261d60198763c5dd795d19155dbfe02795f6e2b6f8a9fe7bd0f20137a82df03
-EBUILD sip-6.8.2.ebuild 659 BLAKE2B c84e2d86fcb9e252525aba3581cf2d9f6047dd5a7ae04a94217392d7ba56e9aa1fb4f4fc3dbfbaa98e45f28cb57bbb2f93d8d49e079bfca4c3b91b928d200d13 SHA512 65975a45f308059915278ded25a4b71dd4773bbfaf31951ab51bf9774c5e0f576ff907f0f964e92d11306afea2c78596ff4f9d0479afef04f00b366212052413
+EBUILD sip-6.8.2.ebuild 653 BLAKE2B abc0167b8ee58886b583acdee132dfaf56edf3f9b17b9090fa4e4f63def8fd3548c14c7d02cadb394bcc7c5f9569d5a73f28a36dd0d9377459f3287404dc5b8a SHA512 6dd68b70f7f7cec77a291715017a1070a779ad99ec3591d7e50e4189a791cb3e06bfd65cf8bd59a94de978274f672a9e65aaf01de766528b9c26d1caa6027c73
MISC metadata.xml 663 BLAKE2B df97b2104f63a42ffb6406bd577cefce51adc7e924aea96490e2cf60fad6975d3a9a3c3000f44dc49d193123559bc78efe3221c649642ff3f1d0a195b7102338 SHA512 7db390ee64b7e0d2b5d2dc85f3ba74714894978d85f9ac3b4cf4217827024b2129ca6f9f2e7c1d54301866690b926808b28d80b376247b9092c42198c7bff32b
diff --git a/dev-python/sip/sip-6.8.2.ebuild b/dev-python/sip/sip-6.8.2.ebuild
index a1fec821017b..553078472889 100644
--- a/dev-python/sip/sip-6.8.2.ebuild
+++ b/dev-python/sip/sip-6.8.2.ebuild
@@ -12,7 +12,7 @@ HOMEPAGE="https://www.riverbankcomputing.com/software/sip/"
LICENSE="|| ( GPL-2 GPL-3 SIP )"
SLOT="5"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ppc ppc64 ~riscv ~sparc x86"
RDEPEND="
dev-python/packaging[${PYTHON_USEDEP}]
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index 92a4ff5ee96b..bd050a40c92e 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,5 +1,7 @@
DIST sphinx_autodoc_typehints-1.25.2.tar.gz 37173 BLAKE2B cec43a8008e84cbc0cc8f1950d8c8b3aceec139f2c9b8de310620fbd7deab021ebc51caa0ec80421d821287c8f9c304102141eda9e1123496d710ce3d87590a7 SHA512 42d14b17e05c46d65fb363f6b640515e1847d1d1b13b9d4707c0e64002e01d974a4c8d06d90f938a149704641926b08755a8c9c1f84883b5841192c7330660a3
DIST sphinx_autodoc_typehints-1.25.3.tar.gz 37709 BLAKE2B 338a0479af929977af7d3d3b9797e2806f8606c85cf1db182f87cf6d25adafeaf8c4941bc1770f9c55a54227e1132fd424ed80f5efc654f34c7e4b61724ef553 SHA512 e00ed10267605d8d96b159788297ec565f9dc46b2a446136067e1c5d0fed0d276245c052e3121e79fdf3a0aff81e91769728bb829ce07b252d7284af3378fe69
+DIST sphinx_autodoc_typehints-2.0.0.tar.gz 37951 BLAKE2B 55fc5bd4a430095b9b80b7313da96ac177f55d8e31068ded7c740cc2757580b611bfdb0aa53cc8344564cf01b052518854ea040a70ea568bd098505f8c2dfca8 SHA512 e37839b8f9393334f43b2b97f3d9ade4a2e11182e634c4ee37a916bcf4425c624376edcd3b25b054a23e15624393e3a79fdbc1775f6b3808e09bc8a85a2262d5
EBUILD sphinx-autodoc-typehints-1.25.2.ebuild 986 BLAKE2B 2246e416aeb091f7b8d2115466ff84fac33c2785828cb18fdadef2d967c9114a57d962aa1fddd387f29e0f04d21b9479b3d8c800e4ac7cd0e4d2108fa16f6b93 SHA512 846d85359413d4498c31f80eca1bfe01a40b47beee6e68380d1aea658062dc4d9eec7284677e391c9a45273025eca4d1293dc1ae438a31a195549bd455f3db5b
EBUILD sphinx-autodoc-typehints-1.25.3.ebuild 993 BLAKE2B b29098e7aae4c944614c927882c941d6d0da29cece54f5afc0c98a290f43689df28af42339872d8721aa3c0f9ecf7b8db7aa52deddddde56908413c31f3b5925 SHA512 642b662dc37416552e2fa09914f07ee6995194428eade005bef5e954c45549906693edf4cdb7b05ec77c9f34f20224bfc9f2101ae8f517062128f33b2437349a
+EBUILD sphinx-autodoc-typehints-2.0.0.ebuild 993 BLAKE2B b29098e7aae4c944614c927882c941d6d0da29cece54f5afc0c98a290f43689df28af42339872d8721aa3c0f9ecf7b8db7aa52deddddde56908413c31f3b5925 SHA512 642b662dc37416552e2fa09914f07ee6995194428eade005bef5e954c45549906693edf4cdb7b05ec77c9f34f20224bfc9f2101ae8f517062128f33b2437349a
MISC metadata.xml 682 BLAKE2B f8b48894f28411a17c73956bb75d43906c893b33d3dc611dfcc46e7a71ac43824aa54f660ab4f49c9870248b2b9ff405a2a3229f92975337e69201868eed3378 SHA512 87a0ea2b2e4cb2b5f0d1593b2c4bd96b46dabb8baae71a6ba18cfd83dedb2a1d5f0ae0f8711144967a5d44015e9ae7ca013dc0aa54e20604633ae062d95649ef
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.0.0.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.0.0.ebuild
new file mode 100644
index 000000000000..17aaf83155a2
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-2.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-7.1.2[${PYTHON_USEDEP}]
+"
+# skipping optional test dep on dev-python/nptyping as that package
+# is horribly broken and on its way out
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/sphobjinv-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.5[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 9d5949ec46be..fc1058aff2ec 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -25,6 +25,7 @@ DIST sqlglot-20.5.0.tar.gz 9066011 BLAKE2B a2062e4bbb74abe84d14fa1bdde57374185a7
DIST sqlglot-20.7.1.tar.gz 9293277 BLAKE2B 8a7d894033122a5541f1e6bf3bc9066805fc8a43e700186dde49c007e042baecfb59742918607b8779f11d0215f0f107cd45ed793683256fdcd2e1b11a4ab058 SHA512 ffc4d539752e9357cb93669ab936666b7c11d37ccca1358059ce19322a9ba65b05b8492ecc3c39b5905564b3aae2fe13d4ae87c80b51b5cf5a43bbb074cc2c88
DIST sqlglot-20.8.0.tar.gz 9300786 BLAKE2B 843043c4b389145a9da5f0045d8861d054f046b3f79d9f9e7025b1a4ffc10564a83b3b413766190d64c7477795252738e8c5f35dde81d07f1b5d4a6e3a3a12ee SHA512 d88bef209ff27ae2b8187c58746e6388252e693282f0dfe736eff5f1ed2a2b6322632921f3a759f2d6f304b8339abee76be638ff899d23ad13eec72d1322c062
DIST sqlglot-20.9.0.tar.gz 9323993 BLAKE2B fcd06bb5ca4520a1f67fc3f65706d1de16869efe181c9c8c5f1d71f0124501914bc5c496c3898e3efb7db29e1dee4c085939325f3e0879526fd0f076ec92da45 SHA512 1867810771d5909e5392adca25d538a316d9b7fe0f5668ec3a26371801f32230b5515595d113f58c97dbe1f844cf4b6853755810fbc9824f172743b2117a6d83
+DIST sqlglot-21.0.1.tar.gz 9494272 BLAKE2B de522ca78eeeb84b849a70ff8fed63a1841c98c7e108ee362af2cf2046ea6d777cd9523846a87184d317af74a2234221e59a0ca87838dd8488e77fc5d40d464d SHA512 84891423ee86db3253a10dea3aa011ceb6513026917103a763ccbfe115ef25b40aaae37caa85566e678111bcec002dc4711d451a1c470666a3dbd84daef46edc
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
@@ -43,4 +44,5 @@ EBUILD sqlglot-20.5.0.ebuild 2597 BLAKE2B 9d4a8e89e951277d07707ef3e24dcab4483562
EBUILD sqlglot-20.7.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-20.8.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
EBUILD sqlglot-20.9.0.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
+EBUILD sqlglot-21.0.1.ebuild 2602 BLAKE2B 3bfbd91a9bd26b48f14f4ca2d1143e55e37da4f8c0d893b1a3d4d5853b7959d325669fc46e8f79e5e817b139ccf0684e663456d3b45785195b4e06942522ff08 SHA512 f8c1aa7ea03ed2e0044b6550a13f1e2e40999a16a247cd7206db725c14d3ba06a92cd1909a0126d51ac583ecd8a4825f4da678aab079eb94a7e7cbad16ecafa2
MISC metadata.xml 611 BLAKE2B 10bf684677182565c9932d51ed9b3b9c80d376d6db945bd7b0dd0d9a19a85dc0d10cb169ff2048ae5f7f73d0f438d259b6231c13c525b5374ec99377f4ffdd10 SHA512 2b26d0f77962807052b94ad78addcfdce9859042af3be34df267dc6e70b6231dd779563935fd21955cd8646fd0cce3fee8c939387ac8056194a0b777743dd2ae
diff --git a/dev-python/sqlglot/sqlglot-21.0.1.ebuild b/dev-python/sqlglot/sqlglot-21.0.1.ebuild
new file mode 100644
index 000000000000..058fa81df816
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-21.0.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}